Subject: Re: linux-next: i2c build failure

From: Olof Johansson <[email-masked]>
Date: Thu, 15 May 2008 14:47:58 -0500

Hi,

On Thu, May 15, 2008 at 10:22:15AM +0200, Jean Delvare wrote:

> Thanks for the notification and sorry for the trouble. I thought that I
> knew about all users of struct i2c_board_info and that they were all
> converted by now but obviously not. I didn't know that fsl_soc.c had
> been partly forked for the pasemi platform.

Yeah, I did that because the "real" solution wasn't going to be ready
for .25 and I needed my boards to work. I saw no need in abstracting
it out and sharing code when it was something so simple that was just
going to go away soon anyway...

> Olof, please test it if you can. I will push this patch to Linux
> quickly.

Seems to work ok here.

Acked-by: Olof Johansson <[email-masked]>

-Olof